Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81918

Summary: kudzu can't recognize specific device with --bus option
Product: [Fedora] Fedora Reporter: Shinya Narahara <naraha_s>
Component: kudzuAssignee: Bill Nottingham <notting>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: low Docs Contact:
Priority: medium    
Version: rawhideCC: rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-11 03:55:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Shinya Narahara 2003-01-15 05:32:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; T312461)

Description of problem:
kudzu with --bus={pci|usb} option, can't
recognize only pci or usb device. It
also configures other devices.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.kudzu --bus=usb
2.
3.
    

Actual Results:  configuration windows are opened for devices on non-specified 
bus.

Expected Results:  configuration widnows are opened for devices on specified 
bus only.

Additional info:

Is this bug or design?
"kudzu --bus=usb" brings many configuration windows, however
it is configured already, even on kudzu-0.99-83-1(rawhide).

In hwconf.c, the main routine searches new devices on the
bus specifyed by option "--bus", and compare them to old
configured devices writen in /etc/sysconfig/hwdata.
Then, it seems that only differences'll be reconfigured.

I think it's better to change hwconf.c, to make it configure
only devices in the differences and searched new.

Comment 1 Bill Nottingham 2003-02-20 03:27:48 UTC
--bus is generally only used with --print.

Comment 2 Bill Nottingham 2008-03-11 03:55:31 UTC
As kudzu is not used to configure devices as of the current development tree, it
is unlikely that this will be changed.